# Method: csses.get

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/get#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/get#body.response_body)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/get#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/get#try-it)

Retrieves a single CSS domain by ID.

### HTTP request

`GET https://shoppingcontent.googleapis.com/content/v2.1/{cssGroupId}/csses/{cssDomainId}`

### Path parameters

| Parameters ||
|---|---|
| `cssGroupId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the managing account. If this parameter is not the same as [cssDomainId](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/get#cssDomainId), then this ID must be a CSS group ID and `cssDomainId` must be the ID of a CSS domain affiliated with this group. |
| `cssDomainId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the CSS domain to return. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/csses#Css`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).